Name: xnetcfg
Version: 2.0
Release: 6AX
Summary: KDE frontend for configuring network ethernet interface
URL: http://www.redflag-linux.com
Source0: xnetcfg.tgz
Source1: rfnetstat.tgz
Patch1: xnetcfg-2.0-sysfs.patch
Patch2: xnetcfg-2.0-semctl.patch
Vendor: Red Flag Software Co., Ltd.
License: Red Flag License
Packager: packager@redflag-linux.com
Group: Applications/Publishing
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
xnetcfg is a KDE frontend for configuring the network ethernet interface


%prep
%setup  -q -c -a 1
#%ifarch ppc ppc64 ppc64iseries ppc64pseries
%patch1 -p1
#%endif
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"

unset QTDIR && . /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib

cd xnetcfg
./configure --prefix=/usr --libdir=%{_libdir}
make
gcc -O2 xnetcfg/restart.c -o xnetcfg/restart
cd -

cd rfnetstat
./configure --prefix=/usr --libdir=%{_libdir}
make
cd -

%install
rm -rf $RPM_BUILD_ROOT
cd xnetcfg
mkdir -p %{buildroot}/usr/share/xnetware/
mkdir -p %{buildroot}/usr/share/locale/zh_CN/LC_MESSAGES
mkdir -p %{buildroot}/usr/share/locale/zh_TW/LC_MESSAGES
mkdir -p %{buildroot}/usr/share/locale/ja/LC_MESSAGES
mkdir -p %{buildroot}/usr/share/locale/ko/LC_MESSAGES
mkdir -p %{buildroot}/boot
install -s -m 755 xnetcfg/restart %{buildroot}/usr/share/xnetware/
install -s -m 755 xnetcfg/xnetcfg %{buildroot}/usr/share/xnetware/
install -m 644 xnetcfg/xnetware.mo %{buildroot}/usr/share/locale/zh_CN/LC_MESSAGES
install -m 644 xnetcfg/xnetware_tw.mo %{buildroot}/usr/share/locale/zh_TW/LC_MESSAGES/xnetware.mo
install -m 644 xnetcfg/xnetware_ja.mo %{buildroot}/usr/share/locale/ja/LC_MESSAGES/xnetware.mo
install -m 644 xnetcfg/xnetware_ko.mo %{buildroot}/usr/share/locale/ko/LC_MESSAGES/xnetware.mo
install -m 644 xnetcfg/module-info %{buildroot}/boot
mkdir -p %{buildroot}/usr/bin
(cd %{buildroot}/usr/bin ; ln -s ../share/xnetware/xnetcfg xnetware)

cd -

cd rfnetstat
install -s -m 755 src/rfnetstat  %{buildroot}/usr/bin
install -m 644 src/rfnetstat.mo %{buildroot}/usr/share/locale/zh_CN/LC_MESSAGES
install -m 644 src/rfnetstat_tw.mo %{buildroot}/usr/share/locale/zh_TW/LC_MESSAGES/rfnetstat.mo
install -m 644 src/rfnetstat_ko.mo %{buildroot}/usr/share/locale/ko/LC_MESSAGES/rfnetstat.mo
mkdir -p %{buildroot}/usr/share/autostart
install -m 644 src/rfnetstat.desktop %{buildroot}/usr/share/autostart
/bin/cp icons %{buildroot}/usr/share -rf

cd -

%files
%defattr(-,root,root)
/usr/share/*
/usr/share/locale/*
/usr/bin/*
/boot/*
%exclude /usr/share/autostart/

%clean
rm -rf $RPM_BUILD_ROOT 

%changelog
* Wed Jun 08 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-6AX
- remove rfnetstat.desktop
- add Korean translation

* Thu May 26 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-5AX
- add Traditional Chinese message files

* Wed Apr  6 2005 Xu Xiaojing <xjxu@redflag-linux.com> 2.0-4AX
- add patch 1 for ppc platform
- support x86_64

* Thu Sep 9 2004 Jian Meng <jianmeng@redflag-linux.com> 2.0-1
- Add rfnetstat

* Mon Aug 9 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-19
- Add ascii and nonspace adjust in domain name

* Thu Jul 1 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-18
- Add nohup to restart network, avoid shutting down when first start

* Thu May 13 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-17
- Fix crashing when adding a new dhcp adapter when the same eth number

* Tue Apr 20 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-16
- update module-info

* Fri Sep 5 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-14
- Add main argument for whether start unique application
- Add module-info for scan hardware
- Add ja.xnetware.mo

* Fri Jul 11 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-13
- fix a wild pointer problem occured when remove a netadapter(find hosts)

* Tue Jun 23 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-11
- fix the problem of that adding a custom module netadapter can't modify eth number

* Tue Jun 19 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-8
- fix the bug of after updating the ip address, /etc/hosts still remains the old item

* Tue Jun 10 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-8
- fix the bug of crashing after double click an item and click OK end the dialog
- fix the bug of write localhost.localdomain and current IP in hosts

* Tue Jun 10 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-7
- fix the bug of can't stop network when remove net adaters.

* Tue May 20 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-6
- add wirte-file-fail detect

* Tue May 20 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-5
- fix the bug that can not recognize dcop status

* Thu May 15 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-3
- Reconstruct codes, optimized some.

* Wed May 14 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-2
- Add binding multi IP support

* Tue May 13 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-1
- Rewrite almost all
- Replace read/write setting interface
- Add route and ip forward support

* Fri Mar 14 2003 Jian Meng <jianmeng@redflag-linux.com> 0.8-4
- add custom module selection

* Thu Jan 9 2003 Jian Meng <jianmeng@redflag-linux.com> 0.8-3
- fixed PCMCIA adpter not exist in adapter list at the beginning

* Fri Nov 29 2002 Jian Meng <jianmeng@redflag-linux.com> 0.8-2
- Show main window after configurate.
- Translate main window.

* Tue Oct 12 2002 Jian Meng <jianmeng@redflag-linux.com> 0.8-1
- initial RPM
